Overwrite Decision
curl --request PUT \
--url https://app.onefirewall.com/api/v1/urls/{url} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"decision": -1
}'import requests
url = "https://app.onefirewall.com/api/v1/urls/{url}"
payload = { "decision": -1 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({decision: -1})
};
fetch('https://app.onefirewall.com/api/v1/urls/{url}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.URL Feeds
Overwrite Decision
This API is used to change / overwrite the decision based on score, in other words setting manually a IoC in whitelist or blacklist.
PUT
/
urls
/
{url}
Overwrite Decision
Updated API documentation with live interaction is now available in the product dashboard under API Docs.
Authorizations
Authorization Token
Path Parameters
URL you wishing to gain information (must be valid format and URL Encoded)
Body
application/json
0 for whitelist, 1 for blacklist, -1 (default) for based on score (not overwrite)
Required range:
-2 < x < 2Response
200 - undefined
⌘I

